<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Sep 04 00:47:46 EEST 2019 -->
<title>WrikeTask (wrike_task_handler 4.4.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-09-04">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WrikeTask (wrike_task_handler 4.4.1 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">database.Models</a></div>
<h2 title="Class WrikeTask" class="title">Class WrikeTask</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>database.Models.WrikeTask</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">WrikeTask</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="WrikeTask.Status.html" title="class in database.Models">WrikeTask.Status</a></span></code></th>
<td class="colLast">
<div class="block">Contains all the valid task status values and a function that tests if a string is one of the valid status values</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">WrikeTask</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addIdFromDelimitedText(java.lang.String)">addIdFromDelimitedText</a></span>&#8203;(java.lang.String&nbsp;text)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addTitle(java.lang.String)">addTitle</a></span>&#8203;(java.lang.String&nbsp;newTitle)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#asParameterString()">asParameterString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fromJsonObject(com.google.gson.JsonObject)">fromJsonObject</a></span>&#8203;(com.google.gson.JsonObject&nbsp;jsonObject)</code></th>
<td class="colLast">
<div class="block">Reads task data from json object.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fromText(java.lang.String)">fromText</a></span>&#8203;(java.lang.String&nbsp;text)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNoteWithId()">getNoteWithId</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStatus()">getStatus</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTitle()">getTitle</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setResponsible(java.lang.String)">setResponsible</a></span>&#8203;(java.lang.String&nbsp;newResponsible)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStatus(java.lang.String)">setStatus</a></span>&#8203;(java.lang.String&nbsp;newStatus)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#statusAsParameterString(java.lang.String)">statusAsParameterString</a></span>&#8203;(java.lang.String&nbsp;initialData)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WrikeTask</h4>
<pre>public&nbsp;WrikeTask()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addIdFromDelimitedText(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addIdFromDelimitedText</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;addIdFromDelimitedText&#8203;(java.lang.String&nbsp;text)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - a string containing the wrike task id preceded by the id delimiter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: null <br>
 On failure: a string describing the error</dd>
</dl>
</li>
</ul>
<a id="addTitle(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTitle</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;addTitle&#8203;(java.lang.String&nbsp;newTitle)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newTitle</code> - the new title of the task</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: null <br>
 On failure: a string describing the error</dd>
</dl>
</li>
</ul>
<a id="setStatus(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStatus</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;setStatus&#8203;(java.lang.String&nbsp;newStatus)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newStatus</code> - the new status of the task. If the string is not one of the valid status values an error will be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: null <br>
 On failure: a string describing the error</dd>
</dl>
</li>
</ul>
<a id="setResponsible(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResponsible</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;setResponsible&#8203;(java.lang.String&nbsp;newResponsible)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newResponsible</code> - the id of the new task responsible</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: null <br>
 On failure: a string describing the error</dd>
</dl>
</li>
</ul>
<a id="fromJsonObject(com.google.gson.JsonObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromJsonObject</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;fromJsonObject&#8203;(com.google.gson.JsonObject&nbsp;jsonObject)</pre>
<div class="block">Reads task data from json object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jsonObject</code> - input json object that contains the task data.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: null <br>
 On failure: a string describing the error</dd>
</dl>
</li>
</ul>
<a id="fromText(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromText</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;fromText&#8203;(java.lang.String&nbsp;text)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - a string that will be used to construct the new task <br>
             the full text will be added to the task description <br>
             the first line of the text will be used to construct the task title <br></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: null <br>
 On failure: a string describing the error</dd>
</dl>
</li>
</ul>
<a id="getNoteWithId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNoteWithId</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getNoteWithId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a standard string used as a marker for wrike id field followed by the wrike id.</dd>
</dl>
</li>
</ul>
<a id="asParameterString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asParameterString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;asParameterString()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the title, description, status and responsible fields of the task as a http parameter string</dd>
</dl>
</li>
</ul>
<a id="statusAsParameterString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>statusAsParameterString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;statusAsParameterString&#8203;(java.lang.String&nbsp;initialData)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>initialData</code> - initial http parameter value. Can be an empty string if not previous parameter value is used</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the status of the task as a http parameter string</dd>
</dl>
</li>
</ul>
<a id="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string with the id of the task</dd>
</dl>
</li>
</ul>
<a id="getTitle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getTitle()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string with the title of the task</dd>
</dl>
</li>
</ul>
<a id="getStatus()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getStatus</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getStatus()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string with the status of the task</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
